Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class TransactionType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.TransactionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class TransactionType extends Object implements Serializable
a transaction is a set of medical information validated by one healthcare professional at one given moment.

Java class for transactionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="transactionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType"/>
             <element name="redactor" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
             <element name="iscomplete" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="isvalidated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="expirationdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <choice maxOccurs="unbounded">
               <element name="heading" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}headingType"/>
               <element name="item" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}itemType"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
               <element name="text-with-layout" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}textWithLayoutType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType"/>
             </choice>
             <element name="recorddatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorType`
  `getAuthor()`
  the author endorses the medical responsibility of the content of the transaction.
  `List<CDTRANSACTION>`
  `getCds()`
  the transaction must contain at least one code from the CD-TRANSACTION scheme.
  `ConfidentialityType`
  `getConfidentiality()`
  Gets the value of the confidentiality property.
  `Instant`
  `getDate()`
  usually this is the date of reporting.
  `Instant`
  `getExpirationdate()`
  expiration date of the prescription/transaction, can be used to remove a prescription from a prescription server
  `List<HeadingType>`
  `getHeading()`
  Gets the value of the heading property.
  `List<IDKMEHR>`
  `getIds()`
  this must be a sequential number within the folder.
  `List<ItemType>`
  `getItem()`
  Gets the value of the item property.
  `List<LnkType>`
  `getLnk()`
  Gets the value of the lnk property.
  `Instant`
  `getRecorddatetime()`
  Gets the value of the recorddatetime property.
  `AuthorType`
  `getRedactor()`
  the redactor identifies the context of transcription or generation of the content of the transaction.
  `List<TextType>`
  `getText()`
  Gets the value of the text property.
  `List<TextWithLayoutType>`
  `getTextWithLayout()`
  Gets the value of the textWithLayout property.
  `Instant`
  `getTime()`
  usually this is the time of reporting.
  `String`
  `getVersion()`
  Gets the value of the version property.
  `boolean`
  `isIscomplete()`
  to specify if the transaction is partial or complete.
  `boolean`
  `isIsvalidated()`
  to specify if the content of the transaction has been medically validated.
  `void`
  `setAuthor(AuthorType value)`
  Sets the value of the author property.
  `void`
  `setConfidentiality(ConfidentialityType value)`
  Sets the value of the confidentiality property.
  `void`
  `setDate(Instant value)`
  Sets the value of the date property.
  `void`
  `setExpirationdate(Instant value)`
  Sets the value of the expirationdate property.
  `void`
  `setIscomplete(boolean value)`
  Sets the value of the iscomplete property.
  `void`
  `setIsvalidated(boolean value)`
  Sets the value of the isvalidated property.
  `void`
  `setRecorddatetime(Instant value)`
  Sets the value of the recorddatetime property.
  `void`
  `setRedactor(AuthorType value)`
  Sets the value of the redactor property.
  `void`
  `setTime(Instant value)`
  Sets the value of the time property.
  `void`
  `setVersion(String value)`
  Sets the value of the version property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionType

    public TransactionType()

- ## Method Details

  - ### getConfidentiality

    public ConfidentialityType getConfidentiality()
    Gets the value of the confidentiality property.
    Returns:
      possible object is `ConfidentialityType`

  - ### setConfidentiality

    public void setConfidentiality(ConfidentialityType value)
    Sets the value of the confidentiality property.
    Parameters:
      `value` - allowed object is `ConfidentialityType`

  - ### getIds

    public List<IDKMEHR> getIds()
    this must be a sequential number within the folder. In addition, it can specify alternative local identifier(s). Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `IDKMEHR`

    Returns:
      The value of the ids property.

  - ### getCds

    public List<CDTRANSACTION> getCds()
    the transaction must contain at least one code from the CD-TRANSACTION scheme. Local codes can be associated. Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDTRANSACTION`

    Returns:
      The value of the cds property.

  - ### getDate

    public Instant getDate()
    usually this is the date of reporting. Please refer to detailed specification for particular cases.
    Returns:
      possible object is `String`

  - ### setDate

    public void setDate(Instant value)
    Sets the value of the date property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDate()`

  - ### getTime

    public Instant getTime()
    usually this is the time of reporting. Please refer to detailed specification for particular cases.
    Returns:
      possible object is `String`

  - ### setTime

    public void setTime(Instant value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTime()`

  - ### getAuthor

    public AuthorType getAuthor()
    the author endorses the medical responsibility of the content of the transaction. It must identify at least one physical person. In addition, it can also identify its medical specialty and/or organisation.
    Returns:
      possible object is `AuthorType`

  - ### setAuthor

    public void setAuthor(AuthorType value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `AuthorType`
    See Also:
      - `getAuthor()`

  - ### getRedactor

    public AuthorType getRedactor()
    the redactor identifies the context of transcription or generation of the content of the transaction. It can identifiy a physicial person like a secretary, nurse, ... and possibly its department and/or organisation. It can also represent a robot for automatic content generation, an application for example.
    Returns:
      possible object is `AuthorType`

  - ### setRedactor

    public void setRedactor(AuthorType value)
    Sets the value of the redactor property.
    Parameters:
      `value` - allowed object is `AuthorType`
    See Also:
      - `getRedactor()`

  - ### isIscomplete

    public boolean isIscomplete()
    to specify if the transaction is partial or complete.

  - ### setIscomplete

    public void setIscomplete(boolean value)
    Sets the value of the iscomplete property.

  - ### isIsvalidated

    public boolean isIsvalidated()
    to specify if the content of the transaction has been medically validated.

  - ### setIsvalidated

    public void setIsvalidated(boolean value)
    Sets the value of the isvalidated property.

  - ### getExpirationdate

    public Instant getExpirationdate()
    expiration date of the prescription/transaction, can be used to remove a prescription from a prescription server
    Returns:
      possible object is `String`

  - ### setExpirationdate

    public void setExpirationdate(Instant value)
    Sets the value of the expirationdate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getExpirationdate()`

  - ### getHeading

    public List<HeadingType> getHeading()
    Gets the value of the heading property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the heading property.

    For example, to add a new item, do as follows:

         getHeading().add(newItem);

    Objects of the following type(s) are allowed in the list `HeadingType`

    Returns:
      The value of the heading property.

  - ### getItem

    public List<ItemType> getItem()
    Gets the value of the item property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the item property.

    For example, to add a new item, do as follows:

         getItem().add(newItem);

    Objects of the following type(s) are allowed in the list `ItemType`

    Returns:
      The value of the item property.

  - ### getText

    public List<TextType> getText()
    Gets the value of the text property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the text property.

    For example, to add a new item, do as follows:

         getText().add(newItem);

    Objects of the following type(s) are allowed in the list `TextType`

    Returns:
      The value of the text property.

  - ### getTextWithLayout

    public List<TextWithLayoutType> getTextWithLayout()
    Gets the value of the textWithLayout property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the textWithLayout property.

    For example, to add a new item, do as follows:

         getTextWithLayout().add(newItem);

    Objects of the following type(s) are allowed in the list `TextWithLayoutType`

    Returns:
      The value of the textWithLayout property.

  - ### getLnk

    public List<LnkType> getLnk()
    Gets the value of the lnk property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnk property.

    For example, to add a new item, do as follows:

         getLnk().add(newItem);

    Objects of the following type(s) are allowed in the list `LnkType`

    Returns:
      The value of the lnk property.

  - ### getRecorddatetime

    public Instant getRecorddatetime()
    Gets the value of the recorddatetime property.
    Returns:
      possible object is `String`

  - ### setRecorddatetime

    public void setRecorddatetime(Instant value)
    Sets the value of the recorddatetime property.
    Parameters:
      `value` - allowed object is `String`

  - ### getVersion

    public String getVersion()
    Gets the value of the version property.
    Returns:
      possible object is `String`

  - ### setVersion

    public void setVersion(String value)
    Sets the value of the version property.
    Parameters:
      `value` - allowed object is `String`